Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "ef97e7c9-37c5-433d-af9a-bc53b3b54522",
"date_start": "2026-11-17T12:49:57.5891789+00:00",
"date_end": "2026-11-17T12:49:57.5891789+00:00",
"modified_dateutc": "2026-11-17T12:49:57.5891789+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "ae6339de-898f-4be9-b23f-732fe98715c2",
"user_code": "sample string 8",
"user": {
"id": "5c612c03-d869-4b2b-a4a2-5fa7fe27a2a4",
"db_language_id": "92da9511-a0aa-4cfd-83b6-69c942b5ad0d",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-17T12:49:57.6023301+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "1c9ee60d-5ca5-4a0c-8278-19e38036b548",
"sales_organization": {
"id": "04bba5bc-a882-4645-b2db-af4686cf396c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "eb0f1bc0-8027-4275-a261-5fcba71d9b56",
"db_currency_id": "dd8659ba-48ec-4100-bf3a-9f27490927a6",
"db_language_id": "228ae36c-3cbc-4dfe-9459-ed23eaa84ecc",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T12:49:57.6023301+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "dd155b81-0328-4461-86fe-014de003e26d",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "b540c2eb-9619-464f-b345-af5adaccc34a",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-17T12:49:57.6023301+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "6a94e4a3-daa8-4247-8bf3-1f89dd0f39d2"
},
"user_unavailability_type_id": "b9c93834-d44d-443f-b1fe-e6692cef4d63",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "0afafc48-820c-4339-9181-01e018c70f1c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "54e724d4-4900-4413-bd92-f5d2a4f066ec",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "04bba5bc-a882-4645-b2db-af4686cf396c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "eb0f1bc0-8027-4275-a261-5fcba71d9b56",
"db_currency_id": "dd8659ba-48ec-4100-bf3a-9f27490927a6",
"db_language_id": "228ae36c-3cbc-4dfe-9459-ed23eaa84ecc",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T12:49:57.6023301+00:00"
},
"modified_dateutc": "2026-11-17T12:49:57.6023301+00:00"
}
}